
D4Science Infrastructure - Task #3262

Change the ldap authentication for the d4science subversion repository

Apr 13, 2016 08:03 PM - Andrea Dell'Amico

Status: Closed Start date: Apr 13, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Dismiss the old ldap server   

Infrastructure: Development, Pre-Production,

Production

  

Description

From the old ldap server to the new. Possible problems that need to be managed:

Different usernames

Users that are not subscribed to the portal

Related issues:

Blocked by D4Science Infrastructure - Task #3261: Manage more ldap groups fro... Closed Apr 13, 2016

History

#1 - Apr 13, 2016 08:04 PM - Andrea Dell'Amico

- Blocked by Task #3261: Manage more ldap groups from the portal so that we can setup different roles on various services added

#3 - Mar 01, 2018 09:38 PM - Andrea Dell'Amico

Now that we have the required VREs and the ldap contents have been completely migrated, we can switch the authentication method.

@tommaso.piccioli@isti.cnr.it do we want to do that on a new machine? (#2661).

#4 - Mar 01, 2018 10:01 PM - Andrea Dell'Amico

- Target version changed from UnSprintable to Dismiss the old ldap server

#5 - Jul 05, 2018 05:18 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

The D-Net subversion instance now authenticates against ldap.d4science.org.

I'm waiting for the confirmation of the group name before changing the gcube subversion.

#6 - Jul 05, 2018 06:28 PM - Andrea Dell'Amico

- % Done changed from 50 to 90

Also moved all the gcore/gcube repositories.

The last one to be handled is RedBox.

#7 - Jul 11, 2018 05:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The redbox access has been switched too. The authorized group is cn=redbox_repo,ou=Groups,dc=d4science,dc=org
